"""
Project settings dataclass

Provides defailt values for settings that are not provided in the settings file
"""

from dataclasses import dataclass
import os


@dataclass
class ProjectSettings:
    """Object for storing project settings"""

    name: str = ""
    description: str = ""
    csv_field_delimiter: str = ","
    state_file: str = "state.json"
    cache_file_size_threshold: int = 3e7
    max_plot_size_in_bytes: int = 1e6

    @property
    def page_root_url(self):
        """The root url for the pages that are generated by this project

        If the environment variable CI_PAGES_URL is set, then this will be used
        as the root url for the pages. Otherwise, the empty string is returned.
        """
        return os.getenv("CI_PAGES_URL", "")
